package be.iminds.ilabt.jfed.experimenter_gui.editor.events;

import be.iminds.ilabt.jfed.experimenter_gui.editor.ModelRspecEditor;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 09:56
 */
abstract class ExperimentEditorEvent {
    private final ModelRspecEditor modelRspecEditor;
    private final Window parentWindow;

    public ExperimentEditorEvent(ModelRspecEditor modelRspecEditor, Window parentWindow) {
        this.modelRspecEditor = modelRspecEditor;
        this.parentWindow = parentWindow;
    }

    public ModelRspecEditor getModelRspecEditor() {
        return modelRspecEditor;
    }

    public Window getParentWindow() {
        return parentWindow;
    }
}
